cc.funkemunky.api.tinyprotocol.packet.in

## Class WrappedInWindowClickPacket

- java.lang.Object
- - cc.funkemunky.api.tinyprotocol.api.NMSObject
  - - cc.funkemunky.api.tinyprotocol.packet.in.WrappedInWindowClickPacket

    public class WrappedInWindowClickPacket
    extends NMSObject

### Nested Class Summary

Nested Classes
`static class` `WrappedInWindowClickPacket.ClickType`

### Nested classes/interfaces inherited from class cc.funkemunky.api.tinyprotocol.api.NMSObject

`NMSObject.Client, NMSObject.Server, NMSObject.Type`

### Constructor Summary

Constructors
Constructor and Description
`WrappedInWindowClickPacket(java.lang.Object packet, org.bukkit.entity.Player player)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `process(org.bukkit.entity.Player player, ProtocolVersion version)`

### Methods inherited from class cc.funkemunky.api.tinyprotocol.api.NMSObject

`construct, construct, construct, fetch, fetch, fetchField, fetchField, fetchFieldByName, getPacketName, setPacket, setPacket, setPacketArg, toBukkitStack`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WrappedInWindowClickPacket

    public WrappedInWindowClickPacket(java.lang.Object packet,
                                      org.bukkit.entity.Player player)

### Method Detail

#### process

    public void process(org.bukkit.entity.Player player,
                        ProtocolVersion version)

Overrides:
  `process` in class `NMSObject`